/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface
 * - one operation = operation1 with a single string input and a void output, marked @OneWay
 */

#include <string>

// @Remotable
class ServiceOneWay {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 */
	// OneWay
	virtual void operation1(const std::string input) const = 0;

};
